# TODO
# - support compressed pci.ids.gz/usb.ids.gz

# Conditional build:
%bcond_without	gui	# build without GTK gui
%bcond_without	sqlite	# build without sqlite support (saving hardware tree to sqlite db)

Summary:	Hardware Lister
Summary(pl.UTF-8):	Narzędzie wypisujące sprzęt
Name:		lshw
Version:	B.02.18
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://ezix.org/software/files/%{name}-%{version}.tar.gz
# Source0-md5:	8671c6d94d6324a744b7f21f1bfecfd2
Patch0:		sanity.patch
Patch1:		hwdata.patch
Patch2:		%{name}-buffer_overflow.patch
URL:		http://ezix.org/project/wiki/HardwareLiSter
%{?with_gui:BuildRequires:	gtk+2-devel >= 1:2.0}
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
%{?with_sqlite:BuildRequires:	sqlite3-devel}
Requires:	hwdata >= 0.243-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton
on the hardware configuration of the machine. It can report exact
memory configuration, firmware version, mainboard configuration, CPU
version and speed, cache configuration, bus speed, etc. on DMI-capable
x86 systems and on some PowerPC machines (PowerMac G4 is known to
work).

Information can be output in plain text, XML or HTML.

It currently supports DMI (x86 only), OpenFirmware device tree
(PowerPC only), PCI/AGP, CPUID (x86), IDE/ATA/ATAPI, PCMCIA (only
tested on x86) and SCSI.

%description -l pl.UTF-8
lshw (Hardware Lister) to małe narzędzie mające udostępnić szczegółowe
informacje dotyczące sprzętowej konfiguracji maszyny. Może określić
dokładną konfigurację pamięci, wersję firmware, konfigurację płyty
głównej, wersję i szybkość CPU, konfigurację cache, szybkość szyny
itp. na systemach x86 obsługujących DMI oraz niektórych maszynach
PowerPC (wiadomo, że działa na PowerMacu G4).

Informacje mogą być podawane jako czysty tekst, XML lub HTML.

Aktualnie program obsługuje DMI (tylko x86), drzewo urządzeń
OpenFirmware (tylko PowerPC), PCI/AGP, CPUID (x86), IDE/ATA/ATAPI,
PCMCIA (testowane tylko na x86) oraz SCSI.

%package gtk
Summary:	GTK+ version of lshw
Summary(pl.UTF-8):	lshw w wersji GTK+
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+ version of lshw.

%description gtk -l pl.UTF-8
lshw w wersji GTK+.

%prep
# tarball contains lshw.spec outside package subdirectory, skip it to avoid leaving junk
# TODO: use plain setup -q when junk is no longer present
%setup -q -c -T
%{__tar} xzf %{SOURCE0} --exclude=lshw.spec -C ..

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	%{?with_sqlite:SQLITE=1}

%if %{with gui}
%{__make} -C src gui \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	%{?with_sqlite:SQLITE=1}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}

%{__make} install \
	%{?with_sqlite:SQLITE=1} \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with gui}
%{__make} install-gui \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/TODO docs/Changelog docs/lshw.xsd README.md
%attr(755,root,root) %{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/lshw.1*

%if %{with gui}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/gtk-%{name}
%endif
%changelog
* Wed Mar 14 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lshw.git;a=log;h=c0e0bdc5eca94b73a1c0e6b69e06710c81ced012

* Tue Jun 20 2017 Jakub Bogusz <qboosh@pld-linux.org> c0e0bdc
- avoid leaving junk outside build subdir

* Sat Jun 17 2017 Adam Osuchowski <adwol@pld-linux.org> 44c7e75
- up to B.02.18
- removed unnecessary lshw-gcc.patch
- patch renumbering

* Mon Jan 12 2015 Adam Osuchowski <adwol@pld-linux.org> e020d76
- rel up

* Mon Jan 12 2015 Adam Osuchowski <adwol@pld-linux.org> 26b7ea1
- fixed buffer overflow in FAT superblock parsing

* Mon Jul 14 2014 Marcin Krol <hawk@tld-linux.org> 4bce9fc
- updated to B.02.17

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 3fa31a4
- use hwdata package for pci.ids/usb.ids (uncompressed)

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 65adf78
- fix passing our compiler flags

* Wed Jan 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 7f3408f
- updated to B.02.16

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> f459f13
- build with sqlite support; release 2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 0e97c73
- strict internal deps

* Sun Oct 31 2010 Adam Gołębiowski <adamg@pld-linux.org> c18c84d
- obsolete

* Sun Oct 31 2010 Adam Gołębiowski <adamg@pld-linux.org> 2668fc7
- updated to B.02.15

* Sat Jun 05 2010 shadzik <shadzik@pld-linux.org> 5e499a8
- add patch1
- rel 1

* Sat Jun 05 2010 shadzik <shadzik@pld-linux.org> 02ab7b6
- fix build

* Fri Feb 13 2009 areq <areq@pld-linux.org> 1145917
- B.02.14

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fd74c43
- rel 2; build fix

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fe8ba17
- fix

* Sat May 10 2008 areq <areq@pld-linux.org> 4c84042
- B.02.13

* Mon Oct 29 2007 Adam Gołębiowski <adamg@pld-linux.org> da8ade7
- updated to B.02.12.01

* Wed Aug 22 2007 Adam Gołębiowski <adamg@pld-linux.org> ee1d7db
- obsolete

